Opened 3 years ago

Closed 2 years ago

Last modified 2 years ago

#2674 closed task (fixed)

Upgrade nextcloud from 20.0.14 to 22.2.5 (latest stable)

Reported by: robe Owned by: strk
Priority: normal Milestone: Sysadmin Contract 2022-I
Component: SysAdmin Keywords:
Cc:

Description

The 21 version of nextcloud is supposed to have significant speed improvements.

https://nextcloud.com/blog/nextcloud-hub-21-out-with-up-to-10x-better-performance-whiteboard-and-more-collaboration-features/

I plan to upgrade it next week.

Change History (12)

comment:1 by strk, 2 years ago

Milestone: Sysadmin Contract 2021-IISysadmin Contract 2022-I

Ticket retargeted after milestone closed

comment:2 by robe, 2 years ago

Summary: Upgrade nextcloud from 20.0.14 to 21.0.6Upgrade nextcloud from 20.0.14 to 23

The latest is 23. 20 is already EOL and 21 will be EOL'd in February 2022. They sure EOL fast. I'm going to upgrade the db to PostgreSQL 12, it's still at PostgreSQL 11.

comment:3 by robe, 2 years ago

upgraded it to PostgreSQL 12.

Regarding the upgrades we need to do one minor at a time, since nextcloud doesn't support more than one major version jumps.

So that means 20 -> 21 -> 22 -> 23

comment:4 by strk, 2 years ago

Owner: changed from sac@… to strk
Status: newassigned

comment:5 by strk, 2 years ago

I'm upgrading to 21, which resulted in this:

Disabled incompatible app: announcementcenter
Disabled incompatible app: groupfolders
Disabled incompatible app: impersonate
Disabled incompatible app: richdocuments
Disabled incompatible app: spreed

Will report here when completed. Is anyone really using the announcement center ? Becuase it's pretty spammy with my desktop client...

comment:6 by strk, 2 years ago

Upgraded to 22.2.3

comment:7 by strk, 2 years ago

Summary: Upgrade nextcloud from 20.0.14 to 23Upgrade nextcloud from 20.0.14 to 22.2.3 (latest stable)

It looks like 22.2.3 is latest stable so I think we're done here, other than maybe put the nextcloud nginx config in ansible, which I'm doing now

comment:8 by strk, 2 years ago

Resolution: fixed
Status: assignedclosed

comment:9 by strk, 2 years ago

For the record: nextcloud config is now under ansible as of https://git.osgeo.org/gitea/sac/ansible-deployment/commit/564f6a82532180772ff92adefc0e3c045d79fe94

NOTE thought that 22.2.5 version is already out ...

comment:10 by strk, 2 years ago

Resolution: fixed
Status: closedreopened
Summary: Upgrade nextcloud from 20.0.14 to 22.2.3 (latest stable)Upgrade nextcloud from 20.0.14 to 22.2.5 (latest stable)

I'm reopening to upgrade to 22.2.5

comment:11 by strk, 2 years ago

Resolution: fixed
Status: reopenedclosed

comment:12 by robe, 2 years ago

I was going to say - wouldn't it make more sense to just create another ticket rather than reopening this one. But it's done so it's fine.

Note: See TracTickets for help on using tickets.